Page MenuHomePhabricator

Provision VMs on Ganeti for logstash100[123]
Closed, ResolvedPublic

Description

logstash100[123] are getting old and need replacement. Those servers are used only as logstash endpoints and are thus not consuming much in term of IO or CPU.

Current specs:

  • Intel(R) Xeon(R) CPU E5-2420 0 @ 1.90GHz
  • 6 CPU, not hyperthreaded
  • 2x 500GB spinning HDD (only 50GB allocated)
  • 16 GB RAM

This makes them good candidates to move to VMs on Ganeti.

Note that this VMs should be spread across rows as much as possible, but in Ganeti this means that 2 of the 3 VMs will share the same row. A single VM should be able to support the load, so that's OK.

New specs (VM, spec per VM / total):

  • CPU: 4 / 12
  • HDD: 50GB / 150GB
  • RAM: 8GB / 24GB

Note 1: @RobH has expressed interest in provisioning those VMs once they are approved by @akosiaris (T173298#3531206).

Note 2: initial hardware request was done on T173298.

Side note: currently most applications send log to a specific logstash server. Application should start using the LVS endpoint (logstash.svc.eqiad.wmnet) instead.

Details

Related Gerrit Patches:

Event Timeline

Gehel created this task.Aug 18 2017, 10:07 AM
Restricted Application added a project: Operations. · View Herald TranscriptAug 18 2017, 10:07 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 372857 had a related patch set uploaded (by Alexandros Kosiaris; owner: Alexandros Kosiaris):
[operations/dns@master] Introduce ganeti100[789].eqiad.wmnet

https://gerrit.wikimedia.org/r/372857

Change 372857 merged by Alexandros Kosiaris:
[operations/dns@master] Introduce ganeti100[789].eqiad.wmnet

https://gerrit.wikimedia.org/r/372857

@RobH, I 've just done the DNS part and then remembered that on T173298#3531206 you 've expressed a desire to create the VMs. Knock yourself out. Updated docs are at https://wikitech.wikimedia.org/wiki/Ganeti#Create_a_VM. logstash1007, logstash1008 have been assigned to row_A and logstash1009 to row_C

akosiaris reassigned this task from akosiaris to RobH.Aug 22 2017, 8:54 AM
akosiaris triaged this task as Normal priority.
RobH closed this task as Resolved.Sep 5 2017, 5:38 PM

I've gone ahead and created sub-task T175045 to track the actual setup. These have been created.